Skip to content
POST /integrated-account/run-post-install-actions

Request Body

idstring · uuid

The ID of the integrated account you want to the post install actions for.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795

Response Body

successboolean
Example: true
curl -X POST 'https://api.truto.one/integrated-account/run-post-install-actions' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "1ba1f401-7183-47c5-9e39-e8e257e3c795"
}'
const body = {
  "id": "1ba1f401-7183-47c5-9e39-e8e257e3c795"
};

const response = await fetch('https://api.truto.one/integrated-account/run-post-install-actions', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/integrated-account/run-post-install-actions"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}
payload = {
    "id": "1ba1f401-7183-47c5-9e39-e8e257e3c795"
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.integrated_accounts.run_post_install_actions("<id>")
    print(result)

asyncio.run(main())